Spigot GuardianBeamAPI 0.4

An easy solution for manipulating Guardian's beams in Spigot 1.8!

  1. Indeed, if you want to update it, you absolutely may. Since some things have changed between 1.8 and 1.9 with protocol lib, updating it will be more than a recompile though. Also note that the license permits unlimited modification, use, or distribution as long as you credit me by including the MIT license from the github.
    Also if you do update it, feel free to create a pull request. I'm sure many people would thank you.
     
  2. As a person who played with this API back in the 1.8 days, I can say that I instinctively went to it when I needed an API for some effects, only to discover it wasn't updated. Real shame, to be honest. Anybody know if there's a workable alternative to this API for those of us running on 1.12 right now?
     
  3. Well I'm kind of late, but here is my alternative (who doesn't use ProtocolLib) : https://www.spigotmc.org/threads/laser-guardian-beam.348901
    It works from 1.9 to 1.13.